Subject: bug#14822: ^M in info files

From: Juanma Barranquero <[email-masked]>
Date: Mon, 8 Jul 2013 18:35:54 +0200

Package: emacs
Version: 24.3.50

Visiting most info topics (Ada Mode, Emacs Lisp Intro, CC Mode...) on
Windows gives info buffers detected as Unix-style and with lines
ending in ^M. Some other topics (Emacs, Emacs Lisp, Gnus) work as
expected.

All info files (in both groups) have CRLF endings, were generated with
the same tool and appear to be correct.

This is a Windows issue, though there hasn't been any Windows-specific
coding-related change lately, so it's likely caused by some generic
change.

The problem does not happen on 24.3, only trunk.